Bug 659935 - [Arrandale] screen blank on boot HP Pavilion dm4 1160us with Intel HD card
[Arrandale] screen blank on boot HP Pavilion dm4 1160us with Intel HD card
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
14
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
: 659931 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-04 03:57 EST by dlfg68
Modified: 2012-08-16 13:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:00:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport, various Xorg.0.log boot attempts using different kernel settings (762.05 KB, application/x-gzip)
2010-12-09 02:01 EST, dlfg68
no flags Details
linlap01_ubuntu_10.10.txt from the archive (235 bytes, text/plain)
2010-12-22 11:01 EST, Matěj Cepl
no flags Details
messages_ubuntu_10.10 from the archive (350.46 KB, text/plain)
2010-12-22 11:01 EST, Matěj Cepl
no flags Details
Xorg.0.log from the archive (28.09 KB, text/plain)
2010-12-22 11:02 EST, Matěj Cepl
no flags Details
Xorg.0.log_boot_default_acpi=off from the archive (28.09 KB, text/plain)
2010-12-22 11:02 EST, Matěj Cepl
no flags Details
Xorg.0.log_boot_default_drm.debug=0x04 from the archive (30.36 KB, text/plain)
2010-12-22 11:02 EST, Matěj Cepl
no flags Details
Xorg.0.log_boot_default_noextra-settings from the archive (25.61 KB, text/plain)
2010-12-22 11:02 EST, Matěj Cepl
no flags Details
Xorg.0.log_fedora14_livecd from the archive (29.54 KB, text/plain)
2010-12-22 11:02 EST, Matěj Cepl
no flags Details
Xorg.0.log_i915.modeset=1 from the archive (25.62 KB, text/plain)
2010-12-22 11:02 EST, Matěj Cepl
no flags Details
Xorg.0.log.old from the archive (28.41 KB, text/plain)
2010-12-22 11:02 EST, Matěj Cepl
no flags Details
Xorg.0.log_single_exit_w_nomodeset=1 from the archive (8.12 KB, text/plain)
2010-12-22 11:02 EST, Matěj Cepl
no flags Details
Xorg.0.log_ubuntu_10.10 from the archive (28.49 KB, text/plain)
2010-12-22 11:03 EST, Matěj Cepl
no flags Details
Xorg.0.log_videoLVDS=1e from the archive (25.62 KB, text/plain)
2010-12-22 11:03 EST, Matěj Cepl
no flags Details
Xorg.9.log from the archive (23.82 KB, text/plain)
2010-12-22 11:03 EST, Matěj Cepl
no flags Details
dmesg from the sosreport (44.98 KB, text/plain)
2010-12-22 11:10 EST, Matěj Cepl
no flags Details
messages from the sosreport (1.31 MB, text/plain)
2010-12-22 11:11 EST, Matěj Cepl
no flags Details
Xorg.0.log from the sosreport (28.09 KB, text/plain)
2010-12-22 11:11 EST, Matěj Cepl
no flags Details
00-system-setup-keyboard.conf from the sosreport (321 bytes, text/plain)
2010-12-22 11:11 EST, Matěj Cepl
no flags Details

  None (edit)
Description dlfg68 2010-12-04 03:57:59 EST
Description of problem: 

Version-Release number of selected component (if applicable): Fedora 14 64-bit with latest updates as of 12/03/2010 running on an HP Pavilion dm4 1160us laptop which has an Intel HD card.

How reproducible: Very

Steps to Reproduce:
1. install fedora 14 to local disk from Fedora 14 Live CD and chose to have an encrypted root hard drive
2. upon reboot from install will get a blank screen and can not see disk password prompt
3. blindly typing the password will allow boot to continue but graphical X11 screen will not display
  
Actual results: black screen

Expected results: X11 server using intel driver

Additional info: I'v attached the file linlap01_bugreport.tar.gz which contains an sosreport, various Xorg.0.log boot attempts using different kernel settings.
I'm suspecting this is a kernel or initramfs problem and not truly an xorg-x11-drv-intel problem.  I wasn't positive on how to classify it, but consists of three problems all interelated I suspect:

- blank screen for initial boot and won't display prompt - "Password for filesystem"
- once past encrypted root disk prompt, will not boot to X11 with intel driver without modify kernel settings i.e acpi=off
- brightness controls do not work

Description of files in linlap01_bugreport.tar.gz
Fedora 14 files
	sosreport-linlap01-20101204000215-2e50.tar.xz
	Xorg.0.log_boot_default_acpi=off Forced to type encrypted disk password without seeing any display Successfully starts X11 with intel driver.  Brightness controls do not work
	Xorg.0.log_boot_default_drm.debug=0x04 Forced to type encrypted disk password without seeing any display but fails to start X11
	Xorg.0.log_boot_default_noextra-settings Forced to type encrypted disk password without seeing any display but fails to start X11
	Xorg.0.log_fedora14_livecd - boots fine with no problems into X11 using intel driver
	Xorg.0.log_i915.modeset=1  screen is always black.  Forced to type encrypted disk password without seeing any display but fails to start X11
	Xorg.0.log_single_exit_w_nomodeset=1  ( kernel nomodeset ) system will display prompt - Password for filesystem but fails to start X11
	Xorg.0.log_videoLVDS=1e  ( kernel setting video=LVDS-1:e )

In order to debug this, I tried another Linux distribution.  I can boot Ubuntu 10.10 with default settings with acpi on and it will successfully load X11 with intel driver
Note: with Ubuntu I'm forced to type encrypted disk password without seeing any display also just like Fedora. But, Ubuntu will continue to boot and successfully starts X11 with intel driver and Brightness controls work.
Additional files in linlap01_bugreport.tar.gz
linlap01_ubuntu_10.10.txt  - contains package info for conifguration that works on ubuntu.
messages_ubuntu_10.10 - /var/log/messages from ubuntu 10.10 boot
Xorg.0.log_ubuntu_10.10 - xorg log file which gives working X11 in ubuntu 10.10
Comment 1 dlfg68 2010-12-05 18:07:30 EST
*** Bug 659931 has been marked as a duplicate of this bug. ***
Comment 2 Matěj Cepl 2010-12-07 11:45:08 EST
This bug's description mentions two sosreports but there is no to be found here and then bug 659931 was closed as a duplicate of this bug. That bug has one attachment.

Where are the other ones? Why was the other bug closed and not this one?
Comment 3 dlfg68 2010-12-09 02:01:12 EST
Created attachment 467690 [details]
sosreport, various Xorg.0.log boot attempts using different kernel settings

oops ... had duplicate bug entries with the exception of the attachment. I inadvertently closed the one which had the attachment :-(  I've attached the file - linlap01_bugreport.tar.gz which contains the logs mentioned previously.
Comment 4 James T Perkins 2010-12-21 18:59:22 EST
I have an HP Pavilion DM4-1060US. If I remove rhgb quiet from the boot line, it appears that the blank screen begins when the kernel initially configures the console framebuffer. Once the full X server starts via gdm, display is visible.

Similar to Description above, adding nomodeset to the kernel command line causes the boot messages to remain visible, although X cannot start because it depends on kernel modesetting in order to operate.

Attempts to increase display brightness with F3 and (Modifier Key+)F3 don't seem to help while it is dark - it stays dark. I wonder if this may be a backlight subsystem issue with this particular laptop.

Running: kernel 2.6.35.6-48.fc14.x86_64
Comment 5 Matěj Cepl 2010-12-22 11:01:43 EST
Created attachment 470229 [details]
linlap01_ubuntu_10.10.txt from the archive
Comment 6 Matěj Cepl 2010-12-22 11:01:58 EST
Created attachment 470230 [details]
messages_ubuntu_10.10 from the archive
Comment 7 Matěj Cepl 2010-12-22 11:02:06 EST
Created attachment 470231 [details]
Xorg.0.log from the archive
Comment 8 Matěj Cepl 2010-12-22 11:02:13 EST
Created attachment 470232 [details]
Xorg.0.log_boot_default_acpi=off from the archive
Comment 9 Matěj Cepl 2010-12-22 11:02:21 EST
Created attachment 470233 [details]
Xorg.0.log_boot_default_drm.debug=0x04 from the archive
Comment 10 Matěj Cepl 2010-12-22 11:02:29 EST
Created attachment 470234 [details]
Xorg.0.log_boot_default_noextra-settings from the archive
Comment 11 Matěj Cepl 2010-12-22 11:02:36 EST
Created attachment 470235 [details]
Xorg.0.log_fedora14_livecd from the archive
Comment 12 Matěj Cepl 2010-12-22 11:02:44 EST
Created attachment 470236 [details]
Xorg.0.log_i915.modeset=1 from the archive
Comment 13 Matěj Cepl 2010-12-22 11:02:51 EST
Created attachment 470237 [details]
Xorg.0.log.old from the archive
Comment 14 Matěj Cepl 2010-12-22 11:02:58 EST
Created attachment 470238 [details]
Xorg.0.log_single_exit_w_nomodeset=1 from the archive
Comment 15 Matěj Cepl 2010-12-22 11:03:05 EST
Created attachment 470239 [details]
Xorg.0.log_ubuntu_10.10 from the archive
Comment 16 Matěj Cepl 2010-12-22 11:03:13 EST
Created attachment 470240 [details]
Xorg.0.log_videoLVDS=1e from the archive
Comment 17 Matěj Cepl 2010-12-22 11:03:20 EST
Created attachment 470241 [details]
Xorg.9.log from the archive
Comment 18 Matěj Cepl 2010-12-22 11:10:46 EST
Created attachment 470243 [details]
dmesg from the sosreport
Comment 19 Matěj Cepl 2010-12-22 11:11:05 EST
Created attachment 470244 [details]
messages from the sosreport
Comment 20 Matěj Cepl 2010-12-22 11:11:12 EST
Created attachment 470245 [details]
Xorg.0.log from the sosreport
Comment 21 Matěj Cepl 2010-12-22 11:11:19 EST
Created attachment 470246 [details]
00-system-setup-keyboard.conf from the sosreport
Comment 22 morne.lamprecht 2011-04-09 07:25:25 EDT
This issue occurs with both the 64bit and 32bit versions of F14 x86
Comment 23 morne.lamprecht 2011-04-09 08:15:01 EDT
(In reply to comment #22)
> This issue occurs with both the 64bit and 32bit versions of F14 x86

A workaround is to close the laptop screen (forcing the screen into sleep mode) and to open it again (waking the screen), this restores the display. After this, the screen brightness controls work as it should.
Comment 24 Clive Hills 2011-08-29 15:45:39 EDT
This also happens on a HP G72 i3 17" except the workround fails.
Comment 25 Fedora End Of Life 2012-08-16 13:00:05 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.